<%@ page language="java" import="java.util.*,com.letousky.lottery.action.PwdUpdateAction,com.anylotto.client.MD5Util,com.letousky.exception.LotteryException" pageEncoding="UTF-8"%>
<%
	String newPwd= request.getParameter("newPwd");
	String oldPwd = request.getParameter("oldPwd");
	String safeGrade= request.getParameter("safeGrade");
	String[] userAry=(String[])session.getAttribute("userAry");
	String[] param = new String[]{userAry[2],newPwd,oldPwd,safeGrade};
	String md5newPwd = MD5Util.md5Hex(newPwd);
	String md5oldPwd = MD5Util.md5Hex(oldPwd);
	String keys      = MD5Util.md5Hex("JINGCAILE"+userAry[2]+md5newPwd+md5oldPwd+"3");
	String str=new PwdUpdateAction().pwdUpdate(request,response,param);
	out.print("{\"items\":[");
	out.print("{\"strs\":\""+str+"\",\"strs02\":\""+userAry[12]+"\",\"newp\":\""+md5newPwd+"\",\"oldp\":\""+md5oldPwd+"\",\"keys\":\""+keys+"\",\"usr\":\""+userAry[2]+"\"}");
	out.print("]}");
%>